from ..tracker import Gesture
from ..geometry import Positionable


class PointGesture(Gesture, Positionable):
    """
    Abstract base class for positionable gestures that have an assigned touch
    point.
    """
    def __init__(self, event, point=None):
        if not point:
            point = event

        Gesture.__init__(self, event)
        Positionable.__init__(self, *point)
